Package org.bukkit.command

# Interface ProxiedCommandSender

All Superinterfaces:
  `Audience`, `CommandSender`, `ForwardingAudience`, `ForwardingAudience.Single`, `Permissible`, `Pointered`, `ServerOperator`

public interface ProxiedCommandSender extends CommandSender, ForwardingAudience.Single

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.command.CommandSender

`CommandSender.Spigot`

## Nested classes/interfaces inherited from interface net.kyori.adventure.audience.ForwardingAudience

`ForwardingAudience.Single`

## Method Summary

Modifier and Type
Method
Description
`default Audience`
`audience()`
Gets the audience.
`@NotNull CommandSender`
`getCallee()`
Returns the CommandSender which is being used to call the command
`@NotNull CommandSender`
`getCaller()`
Returns the CommandSender which triggered this proxied command
`default void`
`sendMessage(Identity source, Component message, MessageType type)`
Sends a chat message.

### Methods inherited from interface net.kyori.adventure.audience.Audience

`openBook, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeaderAndFooter, showTitle, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, getServer, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, spigot`

### Methods inherited from interface net.kyori.adventure.audience.ForwardingAudience.Single

`audiences, clearTitle, filterAudience, forEachAudience, get, getOrDefault, getOrDefaultFrom, hideBossBar, openBook, playSound, playSound, playSound, pointers, resetTitle, sendActionBar, sendMessage, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, stopSound`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

## Method Details

### getCaller

@NotNull @NotNull CommandSender getCaller()
Returns the CommandSender which triggered this proxied command

Returns:
  the caller which triggered the command

### getCallee

@NotNull @NotNull CommandSender getCallee()
Returns the CommandSender which is being used to call the command

Returns:
  the caller which the command is being run as

### sendMessage

default void sendMessage(@NotNull Identity source, @NotNull Component message, @NotNull MessageType type)
Description copied from interface: `net.kyori.adventure.audience.Audience`
Sends a chat message.

Specified by:
  `sendMessage` in interface `Audience`
Specified by:
  `sendMessage` in interface `CommandSender`
Specified by:
  `sendMessage` in interface `ForwardingAudience`
Specified by:
  `sendMessage` in interface `ForwardingAudience.Single`
Parameters:
  `source` - the identity of the source of the message
  `message` - a message
  `type` - the type
See Also:
  - `Component`

### audience

@NotNull default Audience audience()
Description copied from interface: `net.kyori.adventure.audience.ForwardingAudience.Single`
Gets the audience.

Specified by:
  `audience` in interface `ForwardingAudience.Single`
Returns:
  the audience